#ifndef WIDGETWRAPPER_H
#define WIDGETWRAPPER_H

#include <qwidget.h>
#include <qswrapperfactory.h>

class WidgetWrapper : public QObject
{
    Q_OBJECT

public:
    WidgetWrapper( QWidget *w );

public slots:
    void sendMousePressEvent( const QPoint &pos, int button, int state );
    void sendMouseReleaseEvent( const QPoint &pos, int button, int state );

private:
    QWidget *widget;

};


class WidgetWrapperFactory : public QSWrapperFactory
{
public:
    QObject *create( const QString &className, void *ptr );
    QStringList classes() const;

};


#endif
