 /**********************************************************************
** Copyright (C) 2000 Trolltech AS.  All rights reserved.
**
** This file is part of Qt Designer.
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** See http://www.trolltech.com/gpl/ for GPL licensing information.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
**********************************************************************/

#ifndef QUICKCOREDLLDEFS_H
#define QUICKCOREDLLDEFS_H

#include <qglobal.h>

#if defined(Q_OS_WIN32)
#  if defined(QUICKCORE_DLL)
#    define QUICKCORE_EXPORT __declspec(dllexport)
#  else
#    define QUICKCORE_EXPORT __declspec(dllimport)
#  endif
#else
#  define QUICKCORE_EXPORT
#endif

// Used internally for non dll builds of QSA
#if defined( QSA_NO_DLL )
#  undef QUICKCORE_EXPORT
#  define QUICKCORE_EXPORT
#endif

#endif
