#ifndef NAMESPACEPARSER_H
#define NAMESPACEPARSER_H

#include <qstring.h>
#include <qtextstream.h>
#include <qmap.h>

class NameSpaceParser
{
public:
    NameSpaceParser();

    void parse( const QString &in_file, const QString &out_file );

private:
    void parseEnum( int &i, const QString &contents, QTextStream &outstream );

private:
    static QString legalChars;
    QString appendLater;
    QMap<QString, QString> knownValues;

};

#endif
